// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

package accounting

import (
	"context"
	"gd_crontab/rpc_apis"
	"gd_crontab/rpc_apis/gd_management"
	"fmt"
	"time"
)

func GenerateBill(){
	fmt.Println("start generate bill :",time.Now().Format("2006-01-02 15:04:05"))
	//month := time.Now().AddDate(0,-1,0).Format("2006-01")
	mreq := gd_management.GenerateBillReq{
		//Month: month,
	}
	_,err := rpc_apis.Management.GenerateBill(context.Background(), &mreq)
	if err != nil{
		fmt.Println(err )
	}
}

func BillNotify(){
	fmt.Println("start  bill notify :",time.Now().Format("2006-01-02 15:04:05"))
	//month := time.Now().AddDate(0,-1,0).Format("2006-01")
	mreq := gd_management.BillNotifyReq{
		//Month: month,
	}
	_,err := rpc_apis.Management.BillNotify(context.Background(), &mreq)
	if err != nil{
		fmt.Println(err )
	}
}
