package gd_management

type ManagementGetNameReq struct {
	MerchantId    int64 `json:"merchant_id"`
	ApiId         int64 `json:"api_id"`
	ProviderApiId int64 `json:"provider_api_id"`
	H5ServiceId   int64 `json:"h5_service_id"`
	H5ApiId       int64 `json:"h5_api_id"`
}

type ManagementGetNameReply struct {
	MerchantName    string `json:"merchant_name"`
	ApiName         string `json:"api_name"`
	ProviderName    string `json:"provider_name"`
	ProviderApiName string `json:"provider_api_name"`
	H5ServiceName   string `json:"h5_service_name"`
	H5ApiName       string `json:"h5_api_name"`
	ProviderId      int64  `json:"provider_id"`
}

type ManagementGetProviderApiLimitCountReq struct {
	ProviderApiId int64 `json:"provider_api_id"`
}

type ManagementGetProviderApiLimitCountReply struct {
	ProviderApiId int64 `json:"provider_api_id"`
	Count         int64 `json:"count"`
}

type MangementGetUserMerchantCountCodeReq struct {
}

type UserMerchantCountCode struct {
	ApiId             int64  `json:"api_id"`
	MerchantDataApiId int64  `merchant_data_api_id`
	CountCode         string `json:"count_code"`
	ComboType         int    `json:"combo_type"`
	CountType         int    `json:"count_type"`
	Count             int    `json:"count"`
	DayUsed           int    `json:"day_used"`
	Remain            int    `json:"remain"`
}

type MangementGetUserMerchantCountCodeReply struct {
	UserMerchantCountCode []UserMerchantCountCode `json:"user_merchant_count_code"`
}
