package vehicle

import (
	"context"
	"gd_crontab/apis"
	"encoding/json"
	"fmt"
	"strings"
	"testing"
	"time"
)

/*func Test_VechicleVerifyOwner(t *testing.T) {
	req := apis.VechicleVerifyOwnerReq{PlateNo: "川A33E22", AppKey: "3333333", Owner: "熊杰"}
	reply := apis.VechicleVerifyOwnerReply{}
	fmt.Println(req)
	if err := xcli.Call(context.Background(), "VechicleVerifyOwner", req, &reply); err != nil {
		t.Error("failed to call: ", err)
	} else {
		d, _ := json.Marshal(reply)
		t.Log(string(d))
	}
}*/

/*func Test_VehicleGetStyle(t *testing.T) {
	req := apis.VehicleGetStyleReq{PlateNo: "川A33E22", AppKey: "3333333"}
	reply := apis.VehicleGetStyleReply{}
	fmt.Println(req)
	for i:=1;i<10000;i++{
		go func(){
			if err := xcli.Call(context.Background(), "VehicleGetStyle", req, &reply); err != nil {
				t.Error("failed to call: ", err)
			} else {
				d, _ := json.Marshal(reply)
				t.Log(string(d))
			}
		}()
	}
	time.Sleep(time.Second*10)
}*/

func Test_VehicleGetInfo(t *testing.T) {
	now := time.Now().Format("2006-01-02 15:04:05")
	array := strings.Split(now, " ")
	now = fmt.Sprintf("%s 00:00:00", array[0])
	loc, _ := time.LoadLocation("Local")
	end, _ := time.ParseInLocation("2006-01-02 15:04:05", now, loc)

	start := end.AddDate(0, 0, -2)
	end  = end.AddDate(0, 0, -1)

	req := apis.LogQueryProviderCountExportReq{}
	reply := apis.LogQueryProviderCountExportReply{}
	req.StartTimestamp = start.Unix()
	req.EndTimestamp = end.Unix()
	//err := crontab.LogQueryProviderCountExportNew(&req,&reply)
	if err := xcli.Call(context.Background(), "ExportProviderDay", req, &reply); err != nil {
		t.Error("failed to call: ", err)
	} else {
		d, _ := json.Marshal(reply)
		t.Log(string(d))
	}
}

func RunProviderExport(){
	now := time.Now().Format("2006-01-02 15:04:05")
	array := strings.Split(now, " ")
	now = fmt.Sprintf("%s 00:00:00", array[0])
	loc, _ := time.LoadLocation("Local")
	end, _ := time.ParseInLocation("2006-01-02 15:04:05", now, loc)

	start := end.AddDate(0, 0, -2)
	end  = end.AddDate(0, 0, -1)

	req := apis.LogQueryProviderCountExportReq{}
	reply := apis.LogQueryProviderCountExportReply{}
	req.StartTimestamp = start.Unix()
	req.EndTimestamp = end.Unix()
	//err := crontab.LogQueryProviderCountExportNew(&req,&reply)
	if err := xcli.Call(context.Background(), "ExportProviderDay", req, &reply); err != nil {
		fmt.Println("failed to call: ", err)
	} else {
		d, _ := json.Marshal(reply)
		fmt.Println(string(d))
	}
}
