package crontab

import (
	"fmt"
	"github.com/astaxie/beego/orm"
	"time"
)

func deleteExec(o orm.Ormer) {
	now := time.Now()
	seven := now.AddDate(0, 0, -8).Format("2006-01-02")
	sql := fmt.Sprintf("delete from t_gd_access_log where create_time < ?")
	o.Raw(sql, seven).Exec()
	sql = fmt.Sprintf("delete from t_gd_thirdpart_access_log where create_time < ?")
	o.Raw(sql, seven).Exec()
}

func DeleteOldLog() {
	go func() {
		o := orm.NewOrm()
		for {
			if time.Now().Hour() == 3 {
				deleteExec(o)
			}
			time.Sleep(1 * time.Hour)
		}
	}()
}
