package export

import (
	"context"
	"gd_crontab/apis"
	"encoding/json"
	"testing"
)

func Test_ExportProviderDay(t *testing.T) {
	req := apis.LogQueryProviderCountExportReq{StartTimestamp: 1668470400, EndTimestamp: 1668556800}
	reply := apis.LogQueryProviderCountExportReply{}
	if err := xcli.Call(context.Background(), "ExportProviderDay", req, &reply); err != nil {
		t.Error("failed to call: ", err)
	} else {
		d, _ := json.Marshal(reply)
		t.Log(string(d))
	}
}
